Tables (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class Tables

- java.lang.Object
- - org.apache.cassandra.schema.Tables

- All Implemented Interfaces:
    java.lang.Iterable<CFMetaData>

      public final class Tables
      extends java.lang.Object
      implements java.lang.Iterable<CFMetaData>

  An immutable container for a keyspace's Tables.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Tables.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tables.Builder` | `builder()`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Optional<CFMetaData>` | `get(java.lang.String name)` Get the table with the specified name
    `CFMetaData` | `getNullable(java.lang.String name)` Get the table with the specified name
    `int` | `hashCode()`
    `java.util.Iterator<CFMetaData>` | `iterator()`
    `static Tables` | `none()`
    `static Tables` | `of(CFMetaData... tables)`
    `static Tables` | `of(java.lang.Iterable<CFMetaData> tables)`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `Tables` | `with(CFMetaData table)` Create a Tables instance with the provided table added
    `Tables` | `without(java.lang.String name)` Creates a Tables instance with the table with the provided name removed

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### builder

          public static Tables.Builder builder()

    - #### none

          public static Tables none()

    - #### of

          public static Tables of(CFMetaData... tables)

    - #### of

          public static Tables of(java.lang.Iterable<CFMetaData> tables)

    - #### iterator

          public java.util.Iterator<CFMetaData> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<CFMetaData>`

    - #### size

          public int size()

    - #### get

          public java.util.Optional<CFMetaData> get(java.lang.String name)

      Get the table with the specified name
      Parameters:
        `name` - a non-qualified table name
      Returns:
        an empty `Optional` if the table name is not found; a non-empty optional of `CFMetaData` otherwise

    - #### getNullable

          @Nullable
          public CFMetaData getNullable(java.lang.String name)

      Get the table with the specified name
      Parameters:
        `name` - a non-qualified table name
      Returns:
        null if the table name is not found; the found `CFMetaData` otherwise

    - #### with

          public Tables with(CFMetaData table)

      Create a Tables instance with the provided table added

    - #### without

          public Tables without(java.lang.String name)

      Creates a Tables instance with the table with the provided name removed

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation